Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Interface FontMetrics

All Known Subinterfaces:
  FontDescriptor, FontMetricsMapper

All Known Implementing Classes:
  AbstractOutlineFont, AFPFont, Base14Font, CIDFont, Courier, CourierBold, CourierBoldOblique, CourierOblique, CustomFont, CustomFontMetricsMapper, DoubleByteFont, Helvetica, HelveticaBold, HelveticaBoldOblique, HelveticaOblique, LazyFont, MultiByteFont, OutlineFont, RasterFont, SingleByteFont, Symbol, SystemFontMetricsMapper, TimesBold, TimesBoldItalic, TimesItalic, TimesRoman, Typeface, ZapfDingbats

    public interface FontMetrics

Main interface for access to font metrics.

Method Summary
`int` | `getAscender(int size)` Returns the ascent of the font described by this FontMetrics object.
`int` | `getCapHeight(int size)` Returns the size of a capital letter measured from the font's baseline.
`int` | `getDescender(int size)` Returns the descent of the font described by this FontMetrics object.
`java.lang.String` | `getEmbedFontName()` Returns the font name for font embedding (may include a prefix, Example: "1E28bcArialMT").
`java.util.Set<java.lang.String>` | `getFamilyNames()` Returns the font's family names as a Set of Strings (Example: "Helvetica").
`java.lang.String` | `getFontName()` Returns the "PostScript" font name (Example: "Helvetica-BoldOblique").
`FontType` | `getFontType()` Returns the type of the font.
`java.lang.String` | `getFullName()` Returns the font's full name (Example: "Helvetica Bold Oblique").
`java.util.Map<java.lang.Integer,java.util.Map<java.lang.Integer,java.lang.Integer>>` | `getKerningInfo()` Returns the kerning map for the font.
`int` | `getMaxAscent(int size)` Returns the maximum ascent of the font described by this FontMetrics object.
`int` | `getWidth(int i, int size)` Return the width (in 1/1000ths of point size) of the character at code point i.
`int[]` | `getWidths()` Return the array of widths.
`int` | `getXHeight(int size)` Determines the typical font height of this FontMetrics object
`boolean` | `hasKerningInfo()` Indicates if the font has kering information.

Method Detail

### getFontName

    java.lang.String getFontName()

  Returns the "PostScript" font name (Example: "Helvetica-BoldOblique").

  Returns:
    the font name

### getFullName

    java.lang.String getFullName()

  Returns the font's full name (Example: "Helvetica Bold Oblique").

  Returns:
    the font's full name

### getFamilyNames

    java.util.Set<java.lang.String> getFamilyNames()

  Returns the font's family names as a Set of Strings (Example: "Helvetica").

  Returns:
    the font's family names (a Set of Strings)

### getEmbedFontName

    java.lang.String getEmbedFontName()

  Returns the font name for font embedding (may include a prefix, Example: "1E28bcArialMT").

  Returns:
    the name for font embedding

### getFontType

    FontType getFontType()

  Returns the type of the font.

  Returns:
    the font type

### getMaxAscent

    int getMaxAscent(int size)

  Returns the maximum ascent of the font described by this FontMetrics object. Note: This is not the same as getAscender().

  Parameters:
    `size` - font size
  Returns:
    ascent in milliponts

### getAscender

    int getAscender(int size)

  Returns the ascent of the font described by this FontMetrics object. It returns the nominal ascent within the em box.

  Parameters:
    `size` - font size
  Returns:
    ascent in milliponts

### getCapHeight

    int getCapHeight(int size)

  Returns the size of a capital letter measured from the font's baseline.

  Parameters:
    `size` - font size
  Returns:
    height of capital characters

### getDescender

    int getDescender(int size)

  Returns the descent of the font described by this FontMetrics object.

  Parameters:
    `size` - font size
  Returns:
    descent in milliponts

### getXHeight

    int getXHeight(int size)

  Determines the typical font height of this FontMetrics object

  Parameters:
    `size` - font size
  Returns:
    font height in millipoints

### getWidth

    int getWidth(int i,
                 int size)

  Return the width (in 1/1000ths of point size) of the character at code point i.

  Parameters:
    `i` - code point index
    `size` - font size
  Returns:
    the width of the character

### getWidths

    int[] getWidths()

  Return the array of widths.

  This is used to get an array for inserting in an output format. It should not be used for lookup.

  Returns:
    an array of widths

### hasKerningInfo

    boolean hasKerningInfo()

  Indicates if the font has kering information.

  Returns:
    True, if kerning is available.

### getKerningInfo

    java.util.Map<java.lang.Integer,java.util.Map<java.lang.Integer,java.lang.Integer>> getKerningInfo()

  Returns the kerning map for the font.

  Returns:
    the kerning map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.